# Update ProviderWithhold

Updates a specific ProviderWithhold.

Endpoint: PUT /provider-withholds/{providerWithholdKey}
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `providerWithholdKey` (integer, required)
    ProviderWithhold Key

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `providerWithhold_Key` (integer, required)
    Unique identifier for each Withhold setting.

  - `account_Key` (integer)
    This field indicates the funding account criteria by which the withhold is applied to a claim.

  - `benefit_Code` (string)
    Benefit code required for adjudication matching.

  - `effective_Date` (string, required)
    Start of the range of acceptable service dates for the admin fee.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `ex_Code` (string)
    Ex code associated with the price line.

  - `federal_ID` (string)
    Allows setting the Tax ID that this withhold will apply when applying a withhold across multiple Providers.

  - `network_ID` (string)
    Identifies the required Network for adjudication matching.

  - `payor_ID` (string)
    This field indicates the payor criteria by which the withhold is applied to a claim.

  - `provider_ID` (string)
    The Provider ID this Withhold setting is being applied.

  - `term_Date` (string)
    End of the range of acceptable service dates for the admin fee.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

  - `withhold` (number)
    Shows the withheld percentage.

  - `withhold_Max` (number)
    Indicates the max Withhold that can be taken for this withhold configuration.

  - `withhold_Pct` (boolean, required)
    Indicates if the Withhold value on this table is a Percentage or a Flat amount.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.providerWithhold_Key` (integer, required)
    Unique identifier for each Withhold setting.

  - `data.account_Key` (integer)
    This field indicates the funding account criteria by which the withhold is applied to a claim.

  - `data.benefit_Code` (string)
    Benefit code required for adjudication matching.

  - `data.effective_Date` (string, required)
    Start of the range of acceptable service dates for the admin fee.

  - `data.entry_Date` (string)
    Date when the record was first added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.ex_Code` (string)
    Ex code associated with the price line.

  - `data.federal_ID` (string)
    Allows setting the Tax ID that this withhold will apply when applying a withhold across multiple Providers.

  - `data.network_ID` (string)
    Identifies the required Network for adjudication matching.

  - `data.payor_ID` (string)
    This field indicates the payor criteria by which the withhold is applied to a claim.

  - `data.provider_ID` (string)
    The Provider ID this Withhold setting is being applied.

  - `data.term_Date` (string)
    End of the range of acceptable service dates for the admin fee.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `data.withhold` (number)
    Shows the withheld percentage.

  - `data.withhold_Max` (number)
    Indicates the max Withhold that can be taken for this withhold configuration.

  - `data.withhold_Pct` (boolean, required)
    Indicates if the Withhold value on this table is a Percentage or a Flat amount.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

